Loading...
Searching...
No Matches
camellia.h File Reference

Public header for libavutil CAMELLIA algorithm. More...

`#include <stdint.h>`

Go to the source code of this file.

## Functions

struct AVCAMELLIA * | av_camellia_alloc (void)
| Allocate an AVCAMELLIA context To free the struct: av_free(ptr).
int | av_camellia_init (struct AVCAMELLIA *ctx, const uint8_t *key, int key_bits)
| Initialize an AVCAMELLIA context.
void | av_camellia_crypt (struct AVCAMELLIA *ctx, uint8_t *dst, const uint8_t *src, int count, uint8_t *iv, int decrypt)
| Encrypt or decrypt a buffer using a previously initialized context.

## Variables

const int | av_camellia_size

## Detailed Description

Public header for libavutil CAMELLIA algorithm.

Definition in file camellia.h.